(function() {
    "use strict";

    /**
     * Defined the object and field name here so that they will be pick up by translation service later on
     * To translate object label only, add the object api name as key and a empty array as value:
     * object_api_name: []
     *
     * To translate field label, add the object api name as key and the field(s) as value:
     * object_api_name: [field1, field2]
     */
    angular.module("weChatApp")
        .value("FieldLabels", {
            Sent_Message_vod__c: ["Content_vod__c", "Account_vod__c", "Sent_Datetime_vod__c", "Last_Open_Datetime_vod__c", "Total_Duration_vod__c"],
            Multichannel_Consent_vod__c: ["Account_vod__c", "Opt_Type_vod__c", "Capture_Datetime_vod__c", "Opt_Expiration_Date_vod__c"]
        });
}());